| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::ProcessResourceNameScriptCompilerEvent Class Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ProcessResourceNameScriptCompilerEvent:
[legend]

## Public Types
enum | ResourceType { TEXTURE, MATERIAL, GPU_PROGRAM, COMPOSITOR }

## Public Member Functions
| ProcessResourceNameScriptCompilerEvent (ResourceType resourceType, const String &name)

## Public Attributes
String | mName
ResourceType | mResourceType
String | mType

## Static Public Attributes
static String | eventType

## Member Enumeration Documentation

## ◆ ResourceType

enum Ogre::ProcessResourceNameScriptCompilerEvent::ResourceType

Enumerator
TEXTURE |
MATERIAL |
GPU_PROGRAM |
COMPOSITOR |

## Constructor & Destructor Documentation

## ◆ ProcessResourceNameScriptCompilerEvent()

Ogre::ProcessResourceNameScriptCompilerEvent::ProcessResourceNameScriptCompilerEvent | ( | ResourceType | resourceType,
|  | const String & | name
| ) |  |
| inline

## Member Data Documentation

## ◆ mResourceType

ResourceType Ogre::ProcessResourceNameScriptCompilerEvent::mResourceType

## ◆ mName

String Ogre::ProcessResourceNameScriptCompilerEvent::mName

## ◆ eventType

String Ogre::ProcessResourceNameScriptCompilerEvent::eventType
| static

## ◆ mType

String Ogre::ScriptCompilerEvent::mType
| inherited

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h